/*
 * Sample data is contained in a SampleInfo object
 * You can add more components if you want to store more data about each sample (age, collection date, whatever)
 * Author: Jenna Butler
 */

//package jennabutler.hdcnv;


public class SampleInfo {
	private double sampleNum;
	private String geno;
	private String tissue;
	
	public SampleInfo(){
		sampleNum = -1;
	}
	
	public SampleInfo(double sampNum){
		sampleNum = sampNum;
	}
	
	public SampleInfo(double sampNum, String genotype, String tissueType){
		sampleNum = sampNum;
		geno = genotype;
		tissue = tissueType;
	}
	
	public double getSampleNum(){
		return sampleNum;
	}
	
	public String getGeno(){
		return geno;
	}
	
	public String getTissue(){
		return tissue;
	}
	
	public void setSampleNum(double sampNum){
		sampleNum = sampNum;
	}
	
	public void setGeno(String genotype){
		geno = genotype;
	}
	
	public void setTissue(String tissueType){
		tissue = tissueType;
	}
}
